# Contributing

We are happy to take contributions for coders of all experience levels, and if you need any help
making a contribution, we will be happy to help.

Before you start working on a contribution, please first discuss the change you wish to make via the
Github [issues](https://github.com/synek/git-plan). If there is already an active issue, then join the
conversation, otherwise feel free to make a new issue. In either case, please clearly state that you
are planning on work on the issue, so that others can avoid working on the same thing.

Please note we have a code of conduct, please follow it in all your interactions with the project.

## Pull Request Process

0. Open a draft PR as early as you like. Once you have a PR open, you can use the PR comments to ask
   for help if needed.
1. Try to avoid adding new dependencies in your PR. If you want to add a dependency, then being it up
   for discussion and get agreement from maintainers before you base your implementation on it.
2. Update the README.md with details of changes to that are relevant to end-users.
3. The PR can be merged once synek has given the green light on it.

## Asking for help

If you would like advice or help with your contribution, you can ask in any of the existing issues, make
a new issue, or just open a draft PR with no/little changes and ask in your PR.
